Skip to main content
Community Hub

Preflight checks for Sisense

TL;DR

Atlan uses the [Folders API](https://sisense.dev/guides/restApi/v1/?platform=linux&spec=L2023.6#/folders) to check if it's responding with a response status code 200.

Your AI can read this via Docs MCPcurl -fsSL "https://docs.atlan.com/install-docs-mcp" | bashConnect

Before running the Sisense crawler, you can run preflight checks to perform the necessary technical validations. The following preflight checks will be completed:

Folders API check​

Atlan uses the Folders API to check if it's responding with a response status code 200.

✅ Check successful. Folders API is working.

❌ Check failed

For example: {"code":101,"message":"Access denied","status":403,"httpMessage":"Forbidden"}}#STATUS:403

Dashboards API check​

Atlan uses the Dashboards API to check if it's responding with a response status code 200.

✅ Check successful. Dashboards API is working.

❌ Check failed

For example: {"code":101,"message":"Access denied","status":403,"httpMessage":"Forbidden"}}#STATUS:403

Datamodels API check​

Atlan uses the Datamodels API to check if it's responding with a response status code 200. The Datamodels API check may fail with a response status code 403 if the user only has Viewer permissions.

✅ Check successful. Datamodels API is working.

❌ Check failed

For example: {"code":101,"message":"Access denied","status":403,"httpMessage":"Forbidden"}}#STATUS:403